Get Entitlement Server Configuration

Get Entitlement Server Configuration
Get Entitlement Server configurations

Retrieves the current Entitlement Server configuration for license management. Passwords are automatically redacted from the response for security.

Request
URI
GET
https://{server}:9443/api/admin/global/config/entitlementserver
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

Successfully retrieved Entitlement Server configuration

Returns EntitlementserverGetResponse200 of type(s) application/json
{
    "data": {
        "items": [
            {
                "section": "entitlementserver",
                "config": {
                    "url": "https://entitlement.example.com",
                    "userName": "entitlement-admin",
                    "UUID": "d4e5f6a7-b8c9-0123-def1-234567890123"
                }
            }
        ]
    }
}
object
data
Required

data


404

Section not found

Returns ErrorResponse of type(s) application/json
{
    "isSuccess": false,
    "message": "Section entitlementserver not found",
    "httpStatusCode": 404
}
boolean
isSuccess
Required

Indicates if the operation was successful

string
message
Required

Human-readable error message

integer
httpStatusCode
Required

HTTP status code


500

Internal server error

Returns ErrorResponse of type(s) application/json
{
    "isSuccess": false,
    "message": "Internal server error occurred",
    "httpStatusCode": 500
}
boolean
isSuccess
Required

Indicates if the operation was successful

string
message
Required

Human-readable error message

integer
httpStatusCode
Required

HTTP status code


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/admin/global/config/entitlementserver